*********************************************
*** MAP OF WHERE HOMOSEXUALITY IS ILLEGAL ***
*********************************************

	*** Laws
		use "$output/illegal.dta", clear
		mmerge ccode using "$input/globaldb.dta"
		drop if _merge == 1
		drop if country == "Antarctica"
		cd "$input"
		replace switch_year = 3000 if never_legal == 1
		spmap switch_year using globalcoord, id(id) fcolor(BuRd) ///
			ndfcolor(gs12) ndocolor(none) legend(size(large)) ///
			clnumber(9) clmethod(custom) legend(order(1	"No Data" 2 "Before 1800" ///
			3 "(1800,1850]" 4 "(1850,1900]" 5 "(1900,1950]" 6 "(1950,1965]" ///
			7 "(1965,1980]" 8 "(1980,1990]" 9 "(1990,2000]" 10 "After 2000" ///
			12 "Still Illegal") title("Legalization Date"))	///
			clbreaks(1700,1800,1850,1900,1950,1965,1980,1990,2000,2018,2999,3001) ///
			legend(region(color(white)))  ocolor(none none none none gs11 gs11 none none none none none)
		graph export "$figures/map_illegal.pdf", replace
	
	*** Colonies
		use "$output/illegal.dta", clear
		mmerge ccode using "$output/colonies.dta"
		gen othercolony = (ottomancolony==1) | (russiancolony==1) | (portuguesecolony==1)		
		egen col_legal = group(british* french* spanish* other* never_legal)
		mmerge ccode using "$input/globaldb.dta"
		//drop if _merge == 1
		drop if country == "Antarctica"
		replace col_legal = 3 if col_legal == 1 | col_legal ==.
		replace col_legal = 4 if col_legal == 2
		replace col_legal = col_legal + 10 if col_legal <= 4
		cd "$input"
		spmap col_legal using globalcoord, id(id) clnumber(8) clmethod(custom)	 	///
			legend(size(large)) clbreaks(4.9,5.1,6.1,7.1,8.1,9.1,10.1,13.1,14.1)	///	
			fcolor("113 255 94" dkgreen "94 113 248" "0 0 255" "248 113 94" "255 0 0" gs11 gs5) 		///
			legend(order(2 "Spanish, Legal" 3 "Spanish, Illegal" 4 "French, Legal" 	///
				5 "French, Illegal"	6 "British, Legal" 7 "British, Illegal"			///
				8 "Other, Legal" 9 "Other, Illegal"))								///
				ocolor(none none none none none none none none none none none)
		graph export "$figures/colonies_map.pdf", replace
		
	*** WVS
		use "$output/wvs.dta", clear
		cd "$input"
		collapse neighbors justifiable [pw=weight], by(ccode wave)
		forval i = 2/6 {
			preserve
				keep if wave == `i'
				rename ccode ISO3
				mmerge ISO3 using "$input/globaldb.dta"			
				drop if country == "Antarctica"
				format justifiable %9.0f
				spmap justifiable using globalcoord, id(id) fcolor(BuRd) ///
					ndfcolor(gs12) clnumber(9) ocolor(none none none none gs11 none none none none)	///
					legend(size(large) title("Wave `i'") region(color(white)))  ndocolor(none) clmethod(custom)	///
					clbreaks(0,1,2,3,4,5,6,7,8,10)
				graph export "$figures/wvs_wave_`i'.pdf", replace
			restore
		}
	
	*** Gallup
		use "$output/gallup.dta", clear
		cd "$input"
		levelsof year, local(years)
		foreach year of local years {
			preserve
				keep if year == `year'
				rename ccode ISO3
				mmerge ISO3 using "$input/globaldb.dta"
				drop if country == "Antarctica"
				format goodplace badplace %9.1f
				foreach type in good bad {
					spmap `type'place using globalcoord, id(id) fcolor(BuRd) ///
						ndfcolor(gs12) clnumber(9) ocolor(none none none none gs11 none none none none)	///
						legend(size(large) title("`year'") region(color(white)))  ndocolor(none) clmethod(custom)	///
						clbreaks(0,.1,.2,.3,.4,.5,.6,.7,.8,1)
						graph export "$figures/gallup_`type'_`year'.pdf", replace
				}
			restore
		}
